﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="UPV_folder_browser.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>UniversalPlantViewer Folder Browser</title>
    <meta name="viewport" content="width=device-width, initial-scale=0.75, user-scalable=no" />
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <link href="includes/css/style.css" rel="stylesheet" type="text/css" />
    <link href="includes/css/custom-style.css" rel="stylesheet" type="text/css" />
    <script src="includes/js/jquery-3.2.0.min.js"></script>
    <script src="includes/js/bootstrap.min.js"></script>
</head>
<body>

    <form id="form1" runat="server">

        <div class="upv-instructions">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="logo">
                            <img src="<%= GetLogo() %>" />
                        </div>
                        <h1>UniversalPlantViewer Browser</h1>
                        <p>
                            UniversalPlantViewer is a simple and easy viewer. As viewing is free, you can provide access to the 3D model for all project stakeholders. 
				It works on mobile devices and computers running Windows, iOS, and Android.
                        </p>
                        <hr />
                        <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                            <div class="panel panel-default">
                                <div class="panel-heading" role="tab" id="headingOne">
                                    <h4 class="panel-title">
                                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                            <i class="fab fa-windows"></i>Installation Instructions for PC
                                        </a>
                                    </h4>
                                </div>
                                <div id="collapseOne" class="panel-collapse collapse " role="tabpanel" aria-labelledby="headingOne">
                                    <div class="panel-body">
                                        <h4>To install UniversalPlantViewer:</h4>
                                        <ol class="list">
                                            <li>Download UniversalPlantViewer</li>
                                            <li>Start UniversalPlantViewer</li>
                                            <li>Close UniversalPlantViewer</li>
                                            <li>Use the links below</li>
                                        </ol>
                                        <a class="btn btn-primary btn-sm" href="<% var info = GetViewerLink(); if (info != null) { Response.Write(info.DownloadLink); } %>" target="_blank" role="button">Download now<% if (info != null) { Response.Write(" (" + info.Version.ToString() + ")"); } %></a>
                                    </div>
                                </div>
                            </div>
                            <div class="panel panel-default">
                                <div class="panel-heading" role="tab" id="headingTwo">
                                    <h4 class="panel-title">
                                        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                            <i class="fab fa-android"></i>Installation Instructions for Android
                                        </a>
                                    </h4>
                                </div>
                                <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
                                    <div class="panel-body">
                                        <h4>To install UniversalPlantViewer:</h4>
                                        <ol class="list">
                                            <li>Download the app to your device</li>
                                        </ol>
                                        <a class="btn btn-primary btn-sm" href="https://play.google.com/store/apps/details?id=com.caxperts.upv&hl=en_US" target="_blank" role="button">Download now</a>
                                    </div>
                                </div>
                            </div>
                            <div class="panel panel-default">
                                <div class="panel-heading" role="tab" id="headingThree">
                                    <h4 class="panel-title">
                                        <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                            <i class="fab fa-apple"></i>Installation Instructions for iOS
                                        </a>
                                    </h4>
                                </div>
                                <div id="collapseThree" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingThree">
                                    <div class="panel-body">
                                        <ol class="list">
                                            <li>Download the app to your device</li>
                                        </ol>
                                        <a class="btn btn-primary btn-sm" href="https://itunes.apple.com/kr/app/universal-plant-viewer/id1095258163?l=en&mt=8" target="_blank" role="button">Download now</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Panel-Group Ende -->
                        <hr />
                        <div class="helpdesk">

                            <a class="btn btn-default" href="https://www.caxperts.com/downloads/" target="_blank" role="button">Download Documentation</a>

                            <p>

                                <%= GetHelpDesk() %>
                                <br />
                                <br />
                                <%= GetUserName() %>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="upv-library">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xs-12">
                        <p>
                            <%= Process() %>
                        </p>
                        <asp:Panel runat="server" ID="UpvArea" Width="100%">
                            <h1>Available UniversalPlantViewer Models</h1>
                            <div class="x-panel">
                                <asp:Table ID="ModelsTable" runat="server" Width="100%" CssClass="table  table-hover">
                                    <asp:TableHeaderRow CssClass="table-head" TableSection="TableHeader">
                                        <asp:TableHeaderCell>Name</asp:TableHeaderCell>
                                        <asp:TableHeaderCell>Image</asp:TableHeaderCell>
                                        <asp:TableHeaderCell>Size</asp:TableHeaderCell>
                                        <asp:TableHeaderCell>Last Modified</asp:TableHeaderCell>
                                        <asp:TableHeaderCell Width="20px"></asp:TableHeaderCell>
                                    </asp:TableHeaderRow>
                                </asp:Table>
                            </div>
                            <br />
                        </asp:Panel>
                        <asp:Panel runat="server" ID="StreamingArea" Width="100%">
                            <h1>Available Streaming Models</h1>
                            <div class="x-panel">
                                <asp:Table ID="StreamingTable" runat="server" Width="100%" CssClass="table  table-hover">
                                    <asp:TableHeaderRow CssClass="table-head" TableSection="TableHeader">
                                        <asp:TableHeaderCell>Name</asp:TableHeaderCell>
                                        <asp:TableHeaderCell>Size</asp:TableHeaderCell>
                                        <asp:TableHeaderCell>Last Modified</asp:TableHeaderCell>
                                        <asp:TableHeaderCell Width="20px"></asp:TableHeaderCell>
                                    </asp:TableHeaderRow>
                                </asp:Table>
                            </div>
                        </asp:Panel>

                    </div>
                </div>
            </div>
        </div>
        </div>
    </form>
    <script>
        var coll = document.getElementsByClassName("collapsible");
        var i;

        for (i = 0; i < coll.length; i++) {
            coll[i].addEventListener("click", function () {
                this.classList.toggle("active");
                var content = this.nextElementSibling;
                if (content.style.display === "block") {
                    content.style.display = "none";
                } else {
                    content.style.display = "block";
                }
            });
        }
    </script>

</body>
</html>
